/***
 * 批量审核
 * 2020年5月7日 09:53:12
 * 钟是志
 *
 * */
import React, { Component } from 'react';
import AuditPage from './index';
import { getOneStopConfig } from '@/webPublic/zyd_public/utils/utils';
import { getOneStopSystemConfig } from '@/webPublic/one_stop_public/publicServices';
import initSignFunc from './QnMZstuSigning';
export default class BatchAudit extends Component {
	constructor(props) {
		super(props);
    getOneStopSystemConfig({
      configKeys: 'signingBatchApprovalKey',
    }).then((res) => {
      if(res && res.length && false){ // 调试模式 把 &&false 注释掉 就是生产模式
        let func = res[0].configValue;
        let x = new Function(func);
        x();
      }else{
        initSignFunc();
      }
    });
	}

	componentWillUnmount() {
	  window.stuSigningAuditXueShengChu = undefined;
  }


  render() {
		return <AuditPage {...this.props}
                      hasBatchAudit={true}
                      noNeedForm={true} // 不需要填写审核表单
    />;
	}
}
